signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SignonDaemonNS::SecureStorageEvent Class Reference

Any object in the signon framework that needs the CredentialsAccessManager - CAM - secure storage in order to function properly can signal this event to the CAM. More...

`#include <credentialsaccessmanager.h>`

Inheritance diagram for SignonDaemonNS::SecureStorageEvent:
[legend]
Collaboration diagram for SignonDaemonNS::SecureStorageEvent:
[legend]

## Public Member Functions
| SecureStorageEvent (QEvent::Type type)

## Public Attributes
EventSender | m_sender

## Detailed Description

Any object in the signon framework that needs the CredentialsAccessManager - CAM - secure storage in order to function properly can signal this event to the CAM.

The object posting this event should reimplement the QObject::customEvent(QEvent *event) method and handle response events of the same type coming from the CAM upon success/failure in resolving access to the secure storage.

See Also
  SIGNON_SECURE_STORAGE_NOT_AVAILABLE
  SIGNON_SECURE_STORAGE_AVAILABLE

Definition at line 91 of file credentialsaccessmanager.h.

## Constructor & Destructor Documentation

SignonDaemonNS::SecureStorageEvent::SecureStorageEvent | ( | QEvent::Type | type | ) |
| inline

Definition at line 94 of file credentialsaccessmanager.h.

## Member Data Documentation

EventSender SignonDaemonNS::SecureStorageEvent::m_sender

Definition at line 96 of file credentialsaccessmanager.h.

Referenced by SignonDaemonNS::CredentialsAccessManager::customEvent().

The documentation for this class was generated from the following file:

- src/signond/credentialsaccessmanager.h